Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_flash_reg_t Struct Reference
SoC Registers (D2000) | SoC Registers (SE)

Flash register map. More...

`#include <qm_soc_regs.h>`

## Data Fields
QM_RW uint32_t | tmg_ctrl
| TMG_CTRL. More...
QM_RW uint32_t | rom_wr_ctrl
| ROM_WR_CTRL. More...
QM_RW uint32_t | rom_wr_data
| ROM_WR_DATA. More...
QM_RW uint32_t | flash_wr_ctrl
| FLASH_WR_CTRL. More...
QM_RW uint32_t | flash_wr_data
| FLASH_WR_DATA. More...
QM_RW uint32_t | flash_stts
| FLASH_STTS. More...
QM_RW uint32_t | ctrl
| CTRL. More...
QM_RW uint32_t | fpr_rd_cfg [4]
| 4 FPR_RD_CFG registers More...
QM_RW uint32_t | mpr_wr_cfg
| Flash Write Protection Control Register. More...
QM_RW uint32_t | mpr_vsts
| Protection Status Register. More...
QM_RW uint32_t | mpr_vdata
| MPR Violation Data Value Register.

## Detailed Description

Flash register map.

Definition at line 1144 of file qm_soc_regs.h.

## Field Documentation

QM_RW uint32_t qm_flash_reg_t::ctrl

CTRL.

Definition at line 1151 of file qm_soc_regs.h.

Referenced by qm_flash_mass_erase(), qm_flash_restore_context(), qm_flash_save_context(), and qm_flash_set_config().

QM_RW uint32_t qm_flash_reg_t::flash_stts

FLASH_STTS.

Definition at line 1150 of file qm_soc_regs.h.

Referenced by qm_flash_mass_erase(), qm_flash_page_erase(), qm_flash_page_update(), qm_flash_page_write(), and qm_flash_word_write().

QM_RW uint32_t qm_flash_reg_t::flash_wr_ctrl

FLASH_WR_CTRL.

Definition at line 1148 of file qm_soc_regs.h.

Referenced by qm_flash_page_erase(), qm_flash_page_update(), qm_flash_page_write(), and qm_flash_word_write().

QM_RW uint32_t qm_flash_reg_t::flash_wr_data

FLASH_WR_DATA.

Definition at line 1149 of file qm_soc_regs.h.

Referenced by qm_flash_page_update(), qm_flash_page_write(), and qm_flash_word_write().

QM_RW uint32_t qm_flash_reg_t::fpr_rd_cfg

4 FPR_RD_CFG registers

4 FPR_RD_CFG registers.

Definition at line 1152 of file qm_soc_regs.h.

Referenced by qm_fpr_restore_context(), qm_fpr_save_context(), and qm_fpr_set_config().

QM_RW uint32_t qm_flash_reg_t::mpr_vsts

Protection Status Register.

Definition at line 1155 of file qm_soc_regs.h.

QM_RW uint32_t qm_flash_reg_t::mpr_wr_cfg

Flash Write Protection Control Register.

Definition at line 1154 of file qm_soc_regs.h.

QM_RW uint32_t qm_flash_reg_t::rom_wr_ctrl

ROM_WR_CTRL.

Definition at line 1146 of file qm_soc_regs.h.

Referenced by qm_flash_page_erase(), qm_flash_page_update(), qm_flash_page_write(), and qm_flash_word_write().

QM_RW uint32_t qm_flash_reg_t::rom_wr_data

ROM_WR_DATA.

Definition at line 1147 of file qm_soc_regs.h.

Referenced by qm_flash_page_update(), qm_flash_page_write(), and qm_flash_word_write().

QM_RW uint32_t qm_flash_reg_t::tmg_ctrl

TMG_CTRL.

Definition at line 1145 of file qm_soc_regs.h.

Referenced by qm_flash_restore_context(), qm_flash_save_context(), and qm_flash_set_config().